
#    MIDAS Access Server  for Command service

global env
source [file join $env(MIDASBASE) TclHttpd tcl MIDASDomainHandler.tcl]       ;#  load default support procedures

global MIDAS_CommandServer_Verbose
set MIDAS_CommandServer_Verbose 1

# Use namespaces to isolate your methods
namespace eval urn:CommandServer {

    proc Command {p} {
        global MIDAS_SOAPService_Verbose
        if {$MIDAS_SOAPService_Verbose} {puts "called method Command with parameter $p"}
        set z [catch {eval exec $p} m]
        set status "$m"
        return [rpcvar::rpcvar string $status]
    }

    # We have to publish the public methods...

     SOAP::export Command
}

# register this service with tclhttpd
puts [SOAP::Domain::register  -prefix  /CommandServer -namespace urn:CommandServer -uri urn:CommandServer]


proc ::SOAP::Domain::MIDAS_SOAPDomainHandler_/CommandServer {optsname sock args} {   \
    ::SOAP::Domain::MIDAS_SOAPDomainHandler_/DefaultAccessServer $optsname $sock $args}

